> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cash Flow Statement

> Generate a Cash Flow Statement



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/reports/cashFlowStatement
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/reports/cashFlowStatement:
    post:
      tags:
        - Reports
      summary: Cash Flow Statement
      description: Generate a Cash Flow Statement
      operationId: generateCashFlowStatement
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CashFlowStatementRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseReportDtoAccountingReportDtoCashFlowStatementJson
              example:
                result: SUCCESS
                data:
                  json:
                    - name: 2025-01-01 to 2025-12-31
                      period:
                        beginDate: '2025-01-01'
                        endDate: '2025-12-31'
                      data:
                        - name: Engineering
                          netCashChange: 2181373
                          beginCashBalance: 346979
                          endCashBalance: 2528352
                          operatingActivities:
                            name: Operating Activities
                            total: 2176273
                            children:
                              - name: Net Income
                                total: 1641165
                              - accountNo: '11500'
                                name: Accounts Receivable
                                accountId: gla_167242948
                                total: -4910
                              - accountNo: '11700'
                                name: Undeposited Funds
                                accountId: gla_167242952
                                total: -300
                              - accountNo: '21001'
                                name: American Express - Credit Card *3008
                                accountId: gla_167243197
                                total: -33786
                              - accountNo: '21002'
                                name: Wells Fargo - Credit Card *1585
                                accountId: gla_167243198
                                total: 534358
                              - accountNo: '21004'
                                name: American Express - Platinum Card® *2008
                                accountId: gla_174147300
                                total: 39746
                          investingActivities:
                            name: Investing Activities
                            total: 0
                            children: []
                          financingActivities:
                            name: Financing Activities
                            total: 5100
                            children:
                              - accountNo: '36000'
                                name: Shareholder Distributions
                                accountId: gla_171128186
                                total: 5100
                  meta:
                    title: Cash Flow Statement
                    generatedOn: '2025-12-03T10:30:00'
                    generatedBy: Joe LaForgia
                    footerLine: Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia
                error: []
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    CashFlowStatementRequestDto:
      type: object
      properties:
        exportType:
          type: string
          description: Export format for the report
          enum:
            - JSON
            - CSV
        recipients:
          $ref: '#/components/schemas/Recipients'
        accountingMethod:
          type: string
          description: >-
            Accounting method to generate the report in. Defaults to the
            company's configured accounting method.
          enum:
            - ACCRUAL
            - CASH
        filter:
          $ref: '#/components/schemas/FullDateRangeFilters'
        grouping:
          $ref: '#/components/schemas/PeriodWithDimensionValueGrouping'
    SuccessResponseReportDtoAccountingReportDtoCashFlowStatementJson:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: >-
            #/components/schemas/ReportDtoAccountingReportDtoCashFlowStatementJson
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    Recipients:
      type: object
      properties:
        emails:
          type: array
          description: Primary email recipients
          items:
            type: string
            description: Primary email recipients
            format: email
      description: Email recipients for the report
    FullDateRangeFilters:
      type: object
      properties:
        beginDate:
          type: string
          description: Beginning date for the report
          format: date
          example: '2025-01-01'
        endDate:
          type: string
          description: Ending date for the report
          format: date
          example: '2025-12-31'
        dimensionValues:
          maxItems: 4
          type: array
          items:
            $ref: '#/components/schemas/DimensionValueFiltering'
        customerIds:
          type: array
          description: List of customer IDs to filter by
          items:
            type: string
            description: List of customer IDs to filter by
      description: Filters to apply to the report
    PeriodWithDimensionValueGrouping:
      type: object
      properties:
        period:
          type: string
          description: Date period to group the report by
          example: MONTHLY
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
        dimensionId:
          type: string
          description: Dimension ID to group the report by
          example: tdim_439512
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
      description: Grouping options for the report
    ReportDtoAccountingReportDtoCashFlowStatementJson:
      type: object
      properties:
        json:
          type: array
          description: Report data in JSON format
          items:
            $ref: '#/components/schemas/AccountingReportDtoCashFlowStatementJson'
        url:
          type: string
          description: URL to download the csv report
        meta:
          $ref: '#/components/schemas/ReportMeta'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    DimensionValueFiltering:
      type: object
      properties:
        dimensionId:
          type: string
          description: Dimension ID to filter by
          example: tdim_439512
        dimensionValueIds:
          type: array
          description: List of dimension value IDs under dimensionId to filter by
          items:
            type: string
            description: List of dimension value IDs under dimensionId to filter by
      description: List of dimensions and their dimension values to filter by
    AccountingReportDtoCashFlowStatementJson:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Jan 2025
        period:
          $ref: '#/components/schemas/Period'
        data:
          type: array
          description: Report data
          items:
            $ref: '#/components/schemas/CashFlowStatementJson'
      description: Report data in JSON format
    ReportMeta:
      type: object
      properties:
        title:
          type: string
          description: Report title
        generatedOn:
          type: string
          description: Date and time when the report was generated
          format: date-time
        generatedBy:
          type: string
          description: User who generated the report
          example: John Doe
        footerLine:
          type: string
          description: Footer line for the report
          example: Generated by Tight
      description: Metadata about the generated report
    Period:
      type: object
      properties:
        beginDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
      description: Period applicable for this section
    CashFlowStatementJson:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: 2025-01-01 to 2025-12-31
        groupingEntity:
          $ref: '#/components/schemas/GroupingEntity'
        netCashChange:
          type: integer
          description: Net cash change for the period
        beginCashBalance:
          type: integer
          description: Beginning cash balance
        endCashBalance:
          type: integer
          description: Ending cash balance
        operatingActivities:
          $ref: '#/components/schemas/CashFlowSection'
        investingActivities:
          $ref: '#/components/schemas/CashFlowSection'
        financingActivities:
          $ref: '#/components/schemas/CashFlowSection'
    GroupingEntity:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
      description: Grouped entity for this section, if applicable
      nullable: true
    CashFlowSection:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Operating Activities
        total:
          type: integer
          description: Total amount for this section
        children:
          type: array
          description: Child line items
          items:
            $ref: '#/components/schemas/CashFlowLineItem'
      description: Financing activities section
    CashFlowLineItem:
      type: object
      properties:
        accountNo:
          type: string
          description: Number of the associated account
          example: '11500'
        name:
          type: string
          description: A user-friendly name of this line item
          example: Accounts Receivable
        accountId:
          type: string
          description: >-
            Id of the associated account, referencing an account in the Chart of
            Accounts
        total:
          type: integer
          description: Line item total amount
        children:
          type: array
          description: Nested child line items, present when this item is a parent account
          nullable: true
          items:
            $ref: '#/components/schemas/CashFlowLineItem'
      description: Child line items
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````